# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define sdp_version     1.0.118
%define sip_api_version 1.2
%define sip_ri_version  1.2.118
%define sip_sdp_version 1.2.118

%define section non-free

Name:           jain-sip
Version:        1.2.118
Release:        4%{?dist}
Epoch:          0
Summary:        JAIN-SIP reference implementation
Group:          Development/Java
License:        Proprietary/Public Domain
URL:            https://jain-sip.dev.java.net/
Source0:        http://download.java.net/communications/jain-sip/nightly/jain-sip-src/jain-sip-src-1.2.118.tar.gz
Source1:        http://download.java.net/maven/2/javax/sip/jain-sip/1.2.1.4/jain-sip-1.2.1.4.pom
Source2:        http://download.java.net/maven/2/javax/sip/jain-sip-api/1.2.1.4/jain-sip-api-1.2.1.4.pom
Source3:        http://download.java.net/maven/2/javax/sip/jain-sip-ri/1.2.1.4/jain-sip-ri-1.2.1.4.pom
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       java >= 0:1.6.0
Requires:       jpackage-utils >= 0:1.7.5
Requires:       log4j >= 0:1.2
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  junit >= 0:3.8.2
BuildRequires:  log4j >= 0:1.2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Reference implementation of a SIP protocol stack/library that for building
and testing SIP applications and servers.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n jain-sip

%build
export CLASSPATH=$(%{_bindir}/build-classpath junit log4j)
export OPT_JAR_LIST=:
%{ant} -Dbuild.sysclasspath=only

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}

%{__cp} -p jain-sdp-%{sdp_version}.jar %{buildroot}%{_javadir}/%{name}/jain-sdp-%{sdp_version}.jar
%{__cp} -p jain-sip-api-%{sip_api_version}.jar %{buildroot}%{_javadir}/%{name}/jain-sip-api-%{sip_api_version}.jar
%{__cp} -p jain-sip-ri-%{sip_ri_version}.jar %{buildroot}%{_javadir}/%{name}/jain-sip-ri-%{sip_ri_version}.jar
%{__cp} -p jain-sip-sdp-%{sip_sdp_version}.jar %{buildroot}%{_javadir}/%{name}/jain-sip-sdp-%{sip_sdp_version}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{sdp_version}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{sdp_version}||g"`; done)
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{sip_api_version}.jar; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{sip_api_version}||g"`; done)
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{sip_ri_version}.jar; do %{__ln_s}f ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{sip_ri_version}||g"`; done)
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{sip_sdp_version}.jar; do %{__ln_s}f ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{sip_sdp_version}||g"`; done)

# pom
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{SOURCE1} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip.pom
%{__perl} -pi -e 's|<version>1\.2\.1\.4</version>|<version>%{version}</version>|' %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip.pom
%{__perl} -pi -e 's|<version>\$\{sip\.api\.version\}</version>|<version>%{sip_api_version}</version>|' %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip.pom
%add_to_maven_depmap javax.sip jain-sip %{version} JPP/%{name} jain-sip

%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip-api.pom
%{__perl} -pi -e 's|<version>1\.2\.1\.4</version>|<version>%{version}</version>|' %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip-api.pom
%{__perl} -pi -e 's|<version>\$\{sip\.api\.version\}</version>|<version>%{sip_api_version}</version>|' %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip-api.pom
%add_to_maven_depmap javax.sip jain-sip-api %{version} JPP/%{name} jain-sip-api

%{__cp} -p %{SOURCE3} %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip-ri.pom
%{__perl} -pi -e 's|<version>1\.2\.1\.4</version>|<version>%{version}</version>|' %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip-ri.pom
%{__perl} -pi -e 's|<version>\$\{sip\.api\.version\}</version>|<version>%{sip_api_version}</version>|' %{buildroot}%{_datadir}/maven2/poms/JPP.%{name}-jain-sip-ri.pom
%add_to_maven_depmap javax.sip jain-sip-ri %{version} JPP/%{name} jain-sip-ri

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc licenses
%dir %{_javadir}/%{name}*/
%{_javadir}/%{name}*/jain-sdp-%{sdp_version}.jar
%{_javadir}/%{name}*/jain-sdp.jar
%{_javadir}/%{name}*/jain-sip-api-%{sip_api_version}.jar
%{_javadir}/%{name}*/jain-sip-api.jar
%{_javadir}/%{name}*/jain-sip-ri-%{sip_ri_version}.jar
%{_javadir}/%{name}*/jain-sip-ri.jar
%{_javadir}/%{name}*/jain-sip-sdp-%{sip_sdp_version}.jar
%{_javadir}/%{name}*/jain-sip-sdp.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Nov 01 2012 Will Tatam <will.tatam@red61.com> 1.2.118-4
- Auto rebuild for JPackage 6 in centos5 mock

* Sun Jul 03 2011 Ralph Apel <r.apel@r-apel.de> 0:1.2.118-3
- Add jain-sip-api and jain-sip-ri poms and depmaps

* Sun Jan 23 2011 David Walluck <dwalluck@redhat.com> 0:1.2.118-2
- include licenses in package

* Wed Sep 10 2008 David Walluck <dwalluck@redhat.com> 0:1.2.118-1
- build for JPackage 5
- include all built jars

* Tue Sep 9 2008 Damian Krzeminski <damian at pingtel.com> 0:1.2.80-1jpp
- Update to 1.2.80
- Remove patching (patch folded directly into jain-sip).

* Thu Jul 24 2008 Damian Krzeminski <damian at pingtel.com> 0:1.2.74-2jpp
- Update to 1.2.74

* Sun Jun 29 2008 Damian Krzeminski <damian at pingtel.com> 0:1.2.73-2jpp
- Update to 1.2.73

* Thu May 28 2008 Damian Krzeminski <damian at pingtel.com> 0:1.2.71-2jpp
- Install integrated jain-sip-sdp.jar 
- Install only one javadoc for the entire package

* Thu May 14 2008 Damian Krzeminski <damian at pingtel.com> 0:1.2-1jpp
- Initial build
